flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Frédéric THOMAS <webdoubl...@hotmail.com>
Subject RE: [IntelliJ] [Maven] [FlexUnit] IntelliJ error with FlexUnit
Date Mon, 02 Jun 2014 17:28:40 GMT
Ok, got it, that's because in my POM and I add:

<contributors>
        <contributor>
            <name>Frédéric Thomas</name>
            <url>https://github.com/doublefx</url>
        </contributor>
    </contributors>

With the accents :P if I remove them, no problems, shouldn't this temp file be UTF-8 ?

Thanks for your help !
Frédéric THOMAS

> From: webdoublefx@hotmail.com
> To: users@flex.apache.org
> Subject: RE: [IntelliJ] [Maven] [FlexUnit] IntelliJ error with FlexUnit
> Date: Mon, 2 Jun 2014 18:10:34 +0100
> 
> Waou, I know 2 of them now, I feel special :-) I give a try to this option now.
> 
> In the second project, the exact error was: Error:(70, 0) [fxspy - flexunit]: exception
'org.xml.sax.SAXParseException; lineNumber: 70; columnNumber: 20; Invalid byte 2 of 3-byte
UTF-8 sequence.' while setting variable ''
> 
> Thanks,
> Frédéric THOMAS
> 
> > Date: Mon, 2 Jun 2014 21:06:21 +0400
> > From: alexander.doroshko@jetbrains.com
> > To: users@flex.apache.org
> > Subject: Re: [IntelliJ] [Maven] [FlexUnit] IntelliJ error with FlexUnit
> > 
> > You know a secret option: -Didea.keep.flex.temporary.files=true in 
> > *.vmoptions file. It makes temporary file to live a bit longer.
> > 
> > On 02.06.2014 20:47, Frédéric THOMAS wrote:
> > > I tried but I can't, it's too fast and my project path is "F:\sources\easyWorkerFlex"
so, there's not non-latin symbols here, any other thoughts or way to catch the file ?
> > >
> > > Frédéric THOMAS
> > >
> > >> Date: Mon, 2 Jun 2014 20:32:03 +0400
> > >> From: alexander.doroshko@jetbrains.com
> > >> To: users@flex.apache.org
> > >> Subject: Re: [IntelliJ] [Maven] [FlexUnit] IntelliJ error with FlexUnit
> > >>
> > >> This can be caused by non-latin symbols in the project path.
> > >> idea-89F676B2-7E1D3A60-flexunit.xml file contains the answer if you
> > >> manage to catch it while compilation is in progress.
> > >>
> > >> On 02.06.2014 20:22, Frédéric THOMAS wrote:
> > >>> Hi,
> > >>>
> > >>> I'm getting mad, using IntelliJ, I have configured a simple maven library
project using FlexMojo 6.0.1 and FlexUnit 4.1.0, this is the POM [1] and when I create a simple
test [2], I've got an IntelliJ error [3].
> > >>> If I run "mvn test", or if I use the same FlexUnit swc in a non Maven
project, everything is ok.
> > >>>
> > >>> What am I missing ?
> > >>>
> > >>> Thanks,
> > >>> Frédéric THOMAS
> > >>>
> > >>> [1]
> > >>> <?xml version="1.0" encoding="UTF-8"?>
> > >>> <project>
> > >>>       <modelVersion>4.0.0</modelVersion>
> > >>>       <groupId>com.doublefx</groupId>
> > >>>       <artifactId>workers</artifactId>
> > >>>       <packaging>swc</packaging>
> > >>>       <version>0.1-SNAPSHOT</version>
> > >>>
> > >>>       <properties>
> > >>>           <flex.version>4.11.0.20131017</flex.version>
> > >>>           <flash-player.version>11.4</flash-player.version>
> > >>>           <flexmojos.version>6.0.1</flexmojos.version>
> > >>>           <flex.debug>true</flex.debug>
> > >>>           <flex.skip.test>false</flex.skip.test>
> > >>>       </properties>
> > >>>
> > >>>       <build>
> > >>>           <sourceDirectory>src/main/flex</sourceDirectory>
> > >>>           <testSourceDirectory>src/test/flex</testSourceDirectory>
> > >>>
> > >>>           <plugins>
> > >>>               <plugin>
> > >>>                   <groupId>net.flexmojos.oss</groupId>
> > >>>                   <artifactId>flexmojos-maven-plugin</artifactId>
> > >>>                   <version>${flexmojos.version}</version>
> > >>>                   <extensions>true</extensions>
> > >>>                   <configuration>
> > >>>                       <storepass/>
> > >>>                       <debug>${flex.debug}</debug>
> > >>>                       <targetPlayer>${flash-player.version}</targetPlayer>
> > >>>                       <verboseStacktraces>true</verboseStacktraces>
> > >>>                       <skipTest>${flex.skip.test}</skipTest>
> > >>>                       <compilerWarnings>
> > >>>                           <warn-no-constructor>false</warn-no-constructor>
> > >>>                           <show-binding-warnings>false</show-binding-warnings>
> > >>>                       </compilerWarnings>
> > >>>                   </configuration>
> > >>>                   <dependencies>
> > >>>                       <dependency>
> > >>>                           <groupId>com.adobe.flex</groupId>
> > >>>                           <artifactId>compiler</artifactId>
> > >>>                           <version>${flex.version}</version>
> > >>>                           <type>pom</type>
> > >>>                       </dependency>
> > >>>                   </dependencies>
> > >>>               </plugin>
> > >>>           </plugins>
> > >>>       </build>
> > >>>
> > >>>       <dependencies>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>apache</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>core</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>framework</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>framework</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>zip</type>
> > >>>               <classifier>configs</classifier>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>mx</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>osmf</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>rpc</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>spark</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>sparkskins</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>spark_dmv</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>textLayout</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>framework</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>rb.swc</type>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>mx</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>rb.swc</type>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>rpc</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>rb.swc</type>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>spark</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>rb.swc</type>
> > >>>           </dependency>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flex.framework</groupId>
> > >>>               <artifactId>textLayout</artifactId>
> > >>>               <version>4.10.0.20130801</version>
> > >>>               <type>rb.swc</type>
> > >>>           </dependency>
> > >>>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flash.framework</groupId>
> > >>>               <artifactId>playerglobal</artifactId>
> > >>>               <version>${flash-player.version}</version>
> > >>>               <type>swc</type>
> > >>>               <scope>external</scope>
> > >>>           </dependency>
> > >>>
> > >>>           <dependency>
> > >>>               <groupId>com.adobe.flash.framework</groupId>
> > >>>               <artifactId>playerglobal</artifactId>
> > >>>               <version>${flash-player.version}</version>
> > >>>               <type>rb.swc</type>
> > >>>           </dependency>
> > >>>
> > >>>           <dependency>
> > >>>               <groupId>org.as3commons</groupId>
> > >>>               <artifactId>as3commons-bytecode</artifactId>
> > >>>               <version>1.1.0</version>
> > >>>               <type>swc</type>
> > >>>               <exclusions>
> > >>>                   <exclusion>
> > >>>                       <groupId>com.adobe.flexunit</groupId>
> > >>>                       <artifactId>flexunit</artifactId>
> > >>>                   </exclusion>
> > >>>                   <exclusion>
> > >>>                       <groupId>com.adobe.flex.framework</groupId>
> > >>>                       <artifactId>playerglobal</artifactId>
> > >>>                   </exclusion>
> > >>>               </exclusions>
> > >>>           </dependency>
> > >>>
> > >>>           <dependency>
> > >>>               <groupId>org.flexunit</groupId>
> > >>>               <artifactId>flexunit</artifactId>
> > >>>               <version>4.1.0</version>
> > >>>               <classifier>flex4</classifier>
> > >>>               <type>swc</type>
> > >>>               <scope>test</scope>
> > >>>           </dependency>
> > >>>       </dependencies>
> > >>>
> > >>> </project>
> > >>>
> > >>> [2]
> > >>> package com.doublefx.utils.worker {
> > >>> import org.flexunit.asserts.assertNull;
> > >>>
> > >>> public class FUTest{
> > >>>       [Test]
> > >>>       public function testSimpleCase():void {
> > >>>           assertNull(null);
> > >>>       }
> > >>> }
> > >>> }
> > >>>
> > >>> [3]
> > >>> C:\Users\DoubleFx\.IntelliJIdea13\system\compile-server\_temp_\IntelliJ_IDEA\idea-89F676B2-7E1D3A60-flexunit.xml
> > >>>          Error:(89, 0) [workers - flexunit]: exception 'org.apache.xerces.impl.io.MalformedByteSequenceException:
Invalid byte 2 of 3-byte UTF-8 sequence.' while setting variable ''
> > >>>    		 	   		
> > >   		 	   		
> > 
>  		 	   		  
 		 	   		  
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message